package com.bweb.model;

import com.alibaba.excel.annotation.ExcelProperty;

import java.math.BigDecimal;
import java.util.Date;

public class ExportOutRechargeOrder {

    @ExcelProperty("订单号")
    private String orderNo;

    @ExcelProperty("用户昵称")
    private String userName;

    @ExcelProperty("用户联系方式")
    private String userPhone;

    @ExcelProperty("充值类型")
    private String rechargeModelName;

    @ExcelProperty("充值内容")
    private String rechargeContent;

    @ExcelProperty("备注")
    private String remarks;

    @ExcelProperty("支付方式")
    private String payTypeName;

    @ExcelProperty("卡号")
    private String cardNo;

    @ExcelProperty("订单金额")
    private BigDecimal orderPrice;

    @ExcelProperty("应付金额")
    private BigDecimal payPrice;

    @ExcelProperty("实付金额")
    private BigDecimal payRealPrice;

    @ExcelProperty("订单状态")
    private String statusName;

    @ExcelProperty("创建时间")
    private Date createTime;

    @ExcelProperty("支付时间")
    private Date payTime;

    @ExcelProperty("取消时间")
    private Date cancelTime;

    @ExcelProperty("完成时间")
    private Date finishTime;

    @ExcelProperty("退款时间")
    private Date refundTime;

    @ExcelProperty("退款金额")
    private BigDecimal refundFee;

    @ExcelProperty("退款订单号")
    private String outRefundNo;

    @ExcelProperty("第三方退款订单号")
    private String refundId;

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserPhone() {
        return userPhone;
    }

    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }

    public String getRechargeModelName() {
        return rechargeModelName;
    }

    public void setRechargeModelName(String rechargeModelName) {
        this.rechargeModelName = rechargeModelName;
    }

    public String getRechargeContent() {
        return rechargeContent;
    }

    public void setRechargeContent(String rechargeContent) {
        this.rechargeContent = rechargeContent;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getPayTypeName() {
        return payTypeName;
    }

    public void setPayTypeName(String payTypeName) {
        this.payTypeName = payTypeName;
    }

    public BigDecimal getOrderPrice() {
        return orderPrice;
    }

    public void setOrderPrice(BigDecimal orderPrice) {
        this.orderPrice = orderPrice;
    }

    public BigDecimal getPayPrice() {
        return payPrice;
    }

    public void setPayPrice(BigDecimal payPrice) {
        this.payPrice = payPrice;
    }

    public BigDecimal getPayRealPrice() {
        return payRealPrice;
    }

    public void setPayRealPrice(BigDecimal payRealPrice) {
        this.payRealPrice = payRealPrice;
    }

    public String getStatusName() {
        return statusName;
    }

    public void setStatusName(String statusName) {
        this.statusName = statusName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    public Date getCancelTime() {
        return cancelTime;
    }

    public void setCancelTime(Date cancelTime) {
        this.cancelTime = cancelTime;
    }

    public Date getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }

    public Date getRefundTime() {
        return refundTime;
    }

    public void setRefundTime(Date refundTime) {
        this.refundTime = refundTime;
    }

    public BigDecimal getRefundFee() {
        return refundFee;
    }

    public void setRefundFee(BigDecimal refundFee) {
        this.refundFee = refundFee;
    }

    public String getOutRefundNo() {
        return outRefundNo;
    }

    public void setOutRefundNo(String outRefundNo) {
        this.outRefundNo = outRefundNo;
    }

    public String getRefundId() {
        return refundId;
    }

    public void setRefundId(String refundId) {
        this.refundId = refundId;
    }

    public String getCardNo() {
        return cardNo;
    }

    public void setCardNo(String cardNo) {
        this.cardNo = cardNo;
    }
}
